# PdfAttributes class

The PDF file attributes.

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, createToJson: true, explicitToJson: true)

## Constructors

PdfAttributes({required String creator, required String author, required String title, required String subject, required String keywords})
  const

## Properties

author → String
  The author of the PDF document.
  final
creator → String
  The creator of the PDF document.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
keywords → String
  The keywords of the PDF document.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
subject → String
  The subject of the PDF document.
  final
title → String
  The title of the PDF document.
  final

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited